"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertToTable = exports.isTableComponent = void 0;
const node_1 = require("./node");
const isTableComponent = (component) => component.type === 'table';
exports.isTableComponent = isTableComponent;
const convertToTable = (tableComponent) => {
    const { components } = tableComponent;
    const [head, ...body] = components;
    const { indent, text } = head;
    const fileName = text.replace(/^\s*table:/, '');
    return {
        indent,
        type: 'table',
        fileName,
        cells: body
            .map((blockComponent) => blockComponent.text.substring(indent + 1))
            .map((text) => text
            .split('\t')
            .map((block) => node_1.convertToNodes(block, { nested: true, quoted: false })))
    };
};
exports.convertToTable = convertToTable;
//# sourceMappingURL=Table.js.map