"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormulaNodeParser = void 0;
const creator_1 = require("./creator");
const formulaWithTailHalfSpaceRegExp = /\[\$ .+? \]/;
const formulaRegExp = /\[\$ [^\]]+\]/;
const createFormulaNode = target => {
    target = target.substring(3, target.length - 1);
    if (target.endsWith(' '))
        target = target.substring(0, target.length - 1);
    return {
        type: 'formula',
        formula: target
    };
};
exports.FormulaNodeParser = creator_1.createNodeParser(createFormulaNode, {
    parseOnNested: false,
    parseOnQuoted: true,
    patterns: [formulaWithTailHalfSpaceRegExp, formulaRegExp]
});
//# sourceMappingURL=FormulaNode.js.map