"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InternalLinkNodeParser = void 0;
const creator_1 = require("./creator");
const internalLinkRegExp = /\[\/?[^[\]]+\]/;
const createInternalLinkNode = target => {
    const href = target.substring(1, target.length - 1);
    return {
        type: 'link',
        pathType: href.startsWith('/') ? 'root' : 'relative',
        href,
        content: ''
    };
};
exports.InternalLinkNodeParser = creator_1.createNodeParser(createInternalLinkNode, {
    parseOnNested: true,
    parseOnQuoted: true,
    patterns: [internalLinkRegExp]
});
//# sourceMappingURL=InternalLinkNode.js.map